# Development Report for May 15, 2017

## Daily Meeting

A daily meeting is hosted on [slack](https://dockercommunity.slack.com) every business day at 9am PST on the channel `#moby-project`.
During this meeting, we are talking about the [tasks](https://github.com/moby/moby/issues/32867) needed to be done for splitting moby and docker.

## Topics discussed last week

### The CLI split

Work is in progress to move the "opts" package to the docker/cli repository. The package, was merged into the docker/cli
repository through [docker/cli#82](https://github.com/docker/cli/pull/82), preserving Git history, and parts that are not
used in Moby have been removed through [moby/moby#33198](https://github.com/moby/moby/pull/33198).

### Find a good and non-confusing home for the remaining monolith

Discussion on this topic is still ongoing, and possible approaches are looked into. The active discussion has moved
from GitHub to [https://forums.mobyproject.org/](https://forums.mobyproject.org/t/topic-find-a-good-an-non-confusing-home-for-the-remaining-monolith/37)

### Find a place for `/pkg`

Concerns were raised about moving packages to separate repositories, and it was decided to put some extra effort into
breaking up / removing existing packages that likely are not good candidates to become a standalone project.

### Update integration-cli tests

With the removal of the CLI from the moby repository, new pull requests will have to be tested using API tests instead
of using the CLI. Discussion took place whether or not these tests should use the API `client` package, or be completely
independent, and make raw HTTP calls.

A topic was created on the forum to discuss options: [evolution of testing](https://forums.mobyproject.org/t/evolution-of-testing-moby/38)


### Proposal: split &amp; containerize hack/validate 

[@AkihiroSuda](https://github.com/AkihiroSuda) is proposing to split and containerize the `hack/validate` script and 
[started a topic on the forum](https://forums.mobyproject.org/t/proposal-split-containerize-hack-validate/32). An initial
proposal to add validation functionality to `vndr` (the vendoring tool in use) was rejected upstream, so alternative
approaches were discussed.


### Special Interest Groups

A "SIG" category was created on the forums to provide a home for Special Interest Groups. The first SIG, [LinuxKit 
Security](https://forums.mobyproject.org/t/about-the-linuxkit-security-category/44) was started (thanks 
[@riyazdf](https://github.com/riyazdf)).


### Builder

The builder dev report can be found [here](builder/2017-05-15.md)
